Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class PictureType

    java.lang.Object
      org.apache.poi.hwpf.usermodel.PictureType

    public class PictureType

extends java.lang.Object

Picture types supported by MS Word format

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)

Field Summary
`static PictureType` | `BMP`
`static PictureType` | `EMF`
`static PictureType` | `GIF`
`static PictureType` | `JPEG`
`static PictureType` | `PICT`
`static PictureType` | `PNG`
`static PictureType` | `TIFF`
`static PictureType` | `UNKNOWN`
`static PictureType[]` | `values`
`static PictureType` | `WMF`

Method Summary
`static PictureType` | `findMatchingType(byte[] pictureContent)`
`java.lang.String` | `getExtension()`
`java.lang.String` | `getMime()`
`byte[][]` | `getSignatures()`
`boolean` | `matchSignature(byte[] pictureData)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BMP

    public static final PictureType BMP

### EMF

    public static final PictureType EMF

### GIF

    public static final PictureType GIF

### JPEG

    public static final PictureType JPEG

### PICT

    public static final PictureType PICT

### PNG

    public static final PictureType PNG

### TIFF

    public static final PictureType TIFF

### UNKNOWN

    public static final PictureType UNKNOWN

### WMF

    public static final PictureType WMF

### values

    public static PictureType[] values

Method Detail

### findMatchingType

    public static PictureType findMatchingType(byte[] pictureContent)

### getExtension

    public java.lang.String getExtension()

### getMime

    public java.lang.String getMime()

### getSignatures

    public byte[][] getSignatures()

### matchSignature

    public boolean matchSignature(byte[] pictureData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD